Subject: Re: Parameter --color-words not documented for "git show"

From: Jakub Narebski <[email-masked]>
Date: Sun, 23 Jan 2011 02:35:45 -0800 (PST)

Junio C Hamano <[email-masked]> writes:
> Sebastian Pipping <[email-masked]> writes:
>> On 01/20/11 21:27, Thomas Rast wrote:
>>> Quote from the latter:
>>> 
>>>        This manual page describes only the most frequently used options.
>>
>> Okay.  Is that a good a idea?
> 
> Yes; the alternative is to list everything.
> 
>> Is --abbrev-commit really used more
>> frequently with "git show" than --color-words is?
> 
> I see this as a not-so-helpful-but-still-interesting question.
> 
> It depends on who you are, and if one wants to pick the most often used
> ones, that selection may or may not coincide with _your_ usage pattern nor
> mine.  The original author apparently thought so, you seem to think
> color-words is used a lot more often, and I personally think neither is
> used often at all.  So should we swap them, keep things as-is, or remove
> both?
> 
> We obviously cannot take a poll to update the list every time a new user
> starts using git, but it might make sense to review them every once in a
> while.

There is also additional problem, namely that because "git show" shows
commit and can show diff, therefore it accepts same formatting options
as "git log", and when set to display patch it accepts any diff family
options.

Should we then list most common porcelanish diff options, or just
refer to git-diff(1) manpage?

-- 
Jakub Narebski
Poland
ShadeHawk on #git